AWS IoT Device SDK C++ v2: Aws::Crt::Http::UnmanagedConnection Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | List of all members
Aws::Crt::Http::UnmanagedConnection Class Referencefinal
Inheritance diagram for Aws::Crt::Http::UnmanagedConnection:

## Public Member Functions
| UnmanagedConnection (aws_http_connection *connection, Aws::Crt::Allocator *allocator)
| ~UnmanagedConnection () override
Public Member Functions inherited from Aws::Crt::Http::HttpClientConnection
virtual | ~HttpClientConnection ()=default
| HttpClientConnection (const HttpClientConnection &)=delete
| HttpClientConnection (HttpClientConnection &&)=delete
HttpClientConnection & | operator= (const HttpClientConnection &)=delete
HttpClientConnection & | operator= (HttpClientConnection &&)=delete
std::shared_ptr< HttpClientStream > | NewClientStream (const HttpRequestOptions &requestOptions) noexcept
bool | IsOpen () const noexcept
void | Close () noexcept
HttpVersion | GetVersion () noexcept
int | LastError () const noexcept

## Additional Inherited Members
Static Public Member Functions inherited from Aws::Crt::Http::HttpClientConnection
static bool | CreateConnection (const HttpClientConnectionOptions &connectionOptions, Allocator *allocator) noexcept
Protected Member Functions inherited from Aws::Crt::Http::HttpClientConnection
| HttpClientConnection (aws_http_connection *m_connection, Allocator *allocator) noexcept
Protected Attributes inherited from Aws::Crt::Http::HttpClientConnection
aws_http_connection * | m_connection

## Constructor & Destructor Documentation

## ◆ UnmanagedConnection()

Aws::Crt::Http::UnmanagedConnection::UnmanagedConnection | ( | aws_http_connection * | connection,
|  | Aws::Crt::Allocator * | allocator
| ) |  |
| inline

## ◆ ~UnmanagedConnection()

Aws::Crt::Http::UnmanagedConnection::~UnmanagedConnection | ( |  | ) |
| inlineoverride

The documentation for this class was generated from the following file:

- crt/aws-crt-cpp/source/http/HttpConnection.cpp